LibreOffice: rtl/unload.h File Reference

LibreOffice LibreOffice 25.2 SDK C/C++ API Reference |

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
unload.h File Reference

Backwards-compatibility remainders of a removed library unloading feature. More...

`#include "sal/config.h"`
`#include "osl/interlck.h"`
`#include "osl/time.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Classes
struct | _rtl_ModuleCount
| Backwards-compatibility remainder of a removed library unloading feature. More...
struct | _rtl_StandardModuleCount
| Backwards-compatibility remainder of a removed library unloading feature. More...

## Macros
#define | MODULE_COUNT_INIT { {rtl_moduleCount_acquire,rtl_moduleCount_release}, rtl_moduleCount_canUnload, 0, {0, 0}}
| Backwards-compatibility remainder of a removed library unloading feature.

## Typedefs
typedef struct SAL_DLLPUBLIC_RTTI _rtl_ModuleCount | rtl_ModuleCount
| Backwards-compatibility remainder of a removed library unloading feature.
typedef struct _rtl_StandardModuleCount | rtl_StandardModuleCount
| Backwards-compatibility remainder of a removed library unloading feature.

## Functions
SAL_DLLPUBLIC void | rtl_moduleCount_acquire (rtl_ModuleCount *that) SAL_COLD
| Backwards-compatibility remainder of a removed library unloading feature.
SAL_DLLPUBLIC void | rtl_moduleCount_release (rtl_ModuleCount *that) SAL_COLD
| Backwards-compatibility remainder of a removed library unloading feature.
SAL_DLLPUBLIC sal_Bool | rtl_moduleCount_canUnload (rtl_StandardModuleCount *that, TimeValue *libUnused) SAL_COLD
| Backwards-compatibility remainder of a removed library unloading feature.

## Detailed Description

Backwards-compatibility remainders of a removed library unloading feature.

## Macro Definition Documentation

## ◆ MODULE_COUNT_INIT

#define MODULE_COUNT_INIT { {rtl_moduleCount_acquire,rtl_moduleCount_release}, rtl_moduleCount_canUnload, 0, {0, 0}}

Backwards-compatibility remainder of a removed library unloading feature.

Deprecated
  Do not use.

## Typedef Documentation

## ◆ rtl_ModuleCount

typedef struct SAL_DLLPUBLIC_RTTI _rtl_ModuleCount rtl_ModuleCount

Backwards-compatibility remainder of a removed library unloading feature.

Deprecated
  Do not use.

## ◆ rtl_StandardModuleCount

typedef struct _rtl_StandardModuleCount rtl_StandardModuleCount

Backwards-compatibility remainder of a removed library unloading feature.

Deprecated
  Do not use.

## Function Documentation

## ◆ rtl_moduleCount_acquire()

SAL_DLLPUBLIC void rtl_moduleCount_acquire | ( | rtl_ModuleCount * | that | ) |

Backwards-compatibility remainder of a removed library unloading feature.

Deprecated
  Do not use.

## ◆ rtl_moduleCount_canUnload()

SAL_DLLPUBLIC sal_Bool rtl_moduleCount_canUnload | ( | rtl_StandardModuleCount * | that,
|  | TimeValue * | libUnused )

Backwards-compatibility remainder of a removed library unloading feature.

Deprecated
  Do not use.

## ◆ rtl_moduleCount_release()

SAL_DLLPUBLIC void rtl_moduleCount_release | ( | rtl_ModuleCount * | that | ) |

Backwards-compatibility remainder of a removed library unloading feature.

Deprecated
  Do not use.